Update feedback
curl --request PATCH \
--url https://app.freyavoice.ai/api/v2/feedbacks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"feedbackId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved": true,
"status": "<string>",
"assignedTo": "<string>",
"resolvedBy": "<string>",
"title": "<string>",
"description": "<string>",
"proposedSolution": "<string>",
"solutionNote": "<string>",
"severity": 0.5,
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.freyavoice.ai/api/v2/feedbacks"
payload = {
"feedbackId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved": True,
"status": "<string>",
"assignedTo": "<string>",
"resolvedBy": "<string>",
"title": "<string>",
"description": "<string>",
"proposedSolution": "<string>",
"solutionNote": "<string>",
"severity": 0.5,
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
feedbackId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
resolved: true,
status: '<string>',
assignedTo: '<string>',
resolvedBy: '<string>',
title: '<string>',
description: '<string>',
proposedSolution: '<string>',
solutionNote: '<string>',
severity: 0.5,
agentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.freyavoice.ai/api/v2/feedbacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>",
"result": {
"success": true,
"feedback": {
"title": "<string>",
"id": "<string>",
"workspaceId": "<string>",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"proposedSolution": "<string>",
"solutionNote": "<string>",
"type": "workflow",
"severity": 0.5,
"status": "open",
"assignedTo": "<string>",
"createdBy": "ai",
"messageId": "<string>",
"resolved": false,
"resolvedAt": "<string>",
"resolvedBy": "<string>",
"solutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolvedByVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"callStartedAt": "<string>",
"customerNumber": "<string>",
"entityVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"callReviewTag": "<string>",
"callReviewNotes": "<string>",
"webCallerName": "<string>",
"webCallerUserId": "<string>",
"hasExternalReference": true,
"externalReferences": [
{
"id": "<string>",
"url": "<string>",
"label": "<string>"
}
],
"agentName": "<string>",
"agentEntityType": "<string>",
"agentWorkflowId": "<string>",
"resolvedByName": "<string>",
"assignees": [
{
"userId": "<string>",
"assignedAt": "<string>",
"userName": "<string>"
}
],
"commentsCount": 123,
"openSolutions": [
{
"branchId": "<string>",
"name": "<string>",
"entityType": "<string>",
"entityId": "<string>"
}
],
"isArchived": false
},
"message": "<string>"
}
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}Feedbacks
Update feedback
Updates a feedback’s status, assignment, resolution, or content.
PATCH
/
feedbacks
Update feedback
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum string length:
1Available options:
workflow, decision-llm, stt, tts, vad-nc, latency, platform, ui, general, system, audio, transcription, decision, null Required range:
0 <= x <= 1